PDA

View Full Version : FC7 update library issues



foggymtn
29th August 2007, 09:00 PM
Hey Ya'll
I;m running zabbix network monitoring software on FC7. I installed all FC7 updates today . Zabbix worked fine before my updates, now, when I attempt to start zabbix_server or agent, I get this

zabbix-agent failed. The error was: Starting zabbix agent: /usr/bin/zabbix_agentd: error while loading shared libraries: libgnutls.so.11: cannot open shared object file: No such file or directory
[FAILED]


It appears I now have libgnutls.so.13, not 11. How do I fix this? Google yielded nothing....

THanks!

foggymtn
1st September 2007, 12:33 AM
Well, I reinstalled FC7 and zabbix. Everything is working fine again. I have 500+ updates to apply, but I'm afraid it will break zabbix again (which is the only reason this particular machine even exists).

Can someone please help me patch my system, without breaking zabbix?

Seve
1st September 2007, 02:25 AM
Hello:
I have no experience with Zabbix, however, the version of gnutls, which provided libgnutls.so.11 would see to be somewhat dated ?

The current version is gnutls-1.4.5-2.fc7 [April 2007] which provides libgnutls.so.13

Did you install Zabbix from the standard Fedora repositories using yum ?
If not, perhaps you might want to consider that as an option as the version of Zabbix in the repo requires libgnutls.so.13 among other pakcages.

yum list | grep zabbix
will provide you with what is available.

Seve